Skip to Content
Invoices

Create Invoice

Accesso

Membro dell’organizzazione con questo permesso:

  • invoices:write

Una chiave API con scope deve avere il permesso anche tra i suoi scope.

POST
/orgs/{organizationId}/invoices

Creates a new invoice with the provided data.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
customerId*string
currency?string
invoiceDate?string
Formatdate-time
Default"2026-11-13T21:58:43.038Z"
dueDate?string
Formatdate-time
Default"2026-11-20T21:58:43.038Z"
status?string
Default"DRAFT"
Value in"DRAFT""BOOKED"
paymentStatus?string
Default"UNPAID"
Value in"UNPAID""PARTIALLY_PAID""PENDING""PAID"
mandateId?string|null

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//invoices' \  -H 'Content-Type: application/json' \  -d '{  "customerId": "string"}'
Example Response
null